using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;
using System.Text.Json.Serialization;

namespace Insight.Infrastructure.Entities
{
    [BsonIgnoreExtraElements]
    public class HostServiceEntity
    {
        [BsonId, BsonRepresentation(BsonType.ObjectId), JsonPropertyName("id")]
        public string? Id { get; set; }

        [BsonElement("_host"), BsonRepresentation(BsonType.ObjectId), JsonPropertyName("host")]
        public string? Host { get; set; }

        [BsonElement("_batch"), BsonRepresentation(BsonType.ObjectId), JsonPropertyName("batch")]
        public string? Batch { get; set; }

        [BsonElement("insert")]
        public DateTime? Insert { get; set; }

        [BsonElement("update")]
        public DateTime? Update { get; set; }

        [BsonElement("company")]
        public string? Company { get; set; }

        [BsonElement("name")]
        public string? Name { get; set; }

        [BsonElement("displayname")]
        public string? DisplayName { get; set; }

        [BsonElement("description")]
        public string? Description { get; set; }

        [BsonElement("startmode")]
        public string? StartMode { get; set; }

        [BsonElement("state")]
        public string? State { get; set; }

        [BsonElement("processid")]
        public uint? ProcessId { get; set; }

        [BsonElement("delay")]
        public bool? Delay { get; set; }

        [BsonElement("path")]
        public string? Path { get; set; }

        [BsonElement("account")]
        public string? Account { get; set; }
    }
}